#! /usr/bin/env sh

gource \
--auto-skip-seconds 1 \
--date-format "%Y / %m / %d ⋅ %H : %M : %S" \
--disable-progress \
--hide mouse,usernames \
--highlight-dirs \
--key \
--output-framerate 60 \
--output-ppm-stream - \
--seconds-per-day 2.0 \
--start-date "2024-08-18" \
--viewport "1920x1080" \
| \
ffmpeg \
-codec:v ppm \
-format image2pipe \
-framerate 120 \
-i - \
-codec:v libx264 \
-preset veryslow \
-qp 23 \
-movflags \
+faststart \
-pix_fmt yuv420p \
-y \
spcd.mp4
